# class Net::HTTP::Proppatch

Class for representing WebDAV method PROPPATCH:

    require 'net/http'
    uri = URI('http://example.com')
    hostname = uri.hostname # => "example.com"
    req = Net::HTTP::Proppatch.new(uri) # => #<Net::HTTP::Proppatch PROPPATCH>
    res = Net::HTTP.start(hostname) do |http|
      http.request(req)
    end

See Request Headers.

Related:

- `Net::HTTP#proppatch`: sends `PROPPATCH` request, returns response object.

### Constants

METHOD
REQUEST_HAS_BODY
RESPONSE_HAS_BODY